4

I installed TexStudio with this command:

sudo apt-get install texstudio

Now I need to install some packages like amsmath and amsfonts. I typed in:

sudo apt-get install texlive-<\t>

but I get hundred of proposals, I don't know which one to install to get the required packages.

How can I find out which texlive-...-component to install via apt-get to get the required packages?

6

From the Ubuntu Software Center if you search for the name of the LaTeX package that you want (e.g. amsmath) you will find what you need (e.g.).

Via command line you can do the same thing with apt-cache:

apt-cache search amsmath
texlive-latex-base - TeX Live: LaTeX fundamental packages
texlive-latex-extra - TeX Live: LaTeX additional packages
texlive-math-extra - TeX Live: Mathematics packages
texlive-lang-italian - TeX Live: Italian

and then to be sure

apt-cache show texlive-latex-base
Package: texlive-latex-base

[...]

  amscls -- AMS document classes for LaTeX.
  amsmath -- AMS mathematical facilities for LaTeX.
  babel -- Multilingual support for Plain TeX or LaTeX.
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.